# Record Class CAStockOccurrenceSerial

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAStockOccurrenceSerial

Record Components:
  `instance` - The instance
  `location` - The location
  `item` - The item
  `serials` - The item serials

All Implemented Interfaces:
  `CAStockOccurrenceType`

public record CAStockOccurrenceSerial(CAStockInstanceID instance, CALocationSummary location, CAItemSummary item, List<CAItemSerial> serials) extends Record implements CAStockOccurrenceType
An occurrence of an item in a location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAStockOccurrenceSerial(CAStockInstanceID instance, CALocationSummary location, CAItemSummary item, List<CAItemSerial> serials)`
  An occurrence of an item in a location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAStockInstanceID`
  `instance()`
  Returns the value of the `instance` record component.
  `CAItemSummary`
  `item()`
  Returns the value of the `item` record component.
  `CALocationSummary`
  `location()`
  Returns the value of the `location` record component.
  `List<CAItemSerial>`
  `serials()`
  Returns the value of the `serials` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAStockOccurrenceSerial

    public CAStockOccurrenceSerial(CAStockInstanceID instance, CALocationSummary location, CAItemSummary item, List<CAItemSerial> serials)
    An occurrence of an item in a location.
    Parameters:
      `instance` - The instance
      `location` - The location
      `item` - The item
      `serials` - The item serials

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### instance

    public CAStockInstanceID instance()
    Returns the value of the `instance` record component.
    Specified by:
      `instance` in interface `CAStockOccurrenceType`
    Returns:
      the value of the `instance` record component

  - ### location

    public CALocationSummary location()
    Returns the value of the `location` record component.
    Specified by:
      `location` in interface `CAStockOccurrenceType`
    Returns:
      the value of the `location` record component

  - ### item

    public CAItemSummary item()
    Returns the value of the `item` record component.
    Specified by:
      `item` in interface `CAStockOccurrenceType`
    Returns:
      the value of the `item` record component

  - ### serials

    public List<CAItemSerial> serials()
    Returns the value of the `serials` record component.
    Returns:
      the value of the `serials` record component